<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="clear()" style="cursor: pointer;"><i class="fa fa-ban"></i>
                        &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    (click)="clear()">&times;</button>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Order Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [size]="28" [(ngModel)]="dtOrder"
                                [monthNavigator]="true" [yearNavigator]="true" dateFormat="dd-MM-yy"
                                yearRange="2000:2999" [showTime]="true" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divReciver">Send To Departement</label>
                        <select class="form-control" id="field_divition" name="divReciver"
                            [(ngModel)]="inputDivReciver">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFnsBfr">Finished Before</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFnsBfr" name="input_dtFnsBfr" [size]="28"
                                [(ngModel)]="dtFnsBfr" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" dateFormat="dd-MM-yy" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" *ngIf="inputDivReciver === 'PSU'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divReciver">Kategori Permasalahan</label>
                        <select class="form-control" id="field_divition" name="divKategori"
                            [(ngModel)]="inputDivKategori">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of problem2">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-6" *ngIf=" inputDivReciver === 'IT'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_divReciver">Kategori Permasalahan</label>
                        <select class="form-control" id="field_divition" name="divKategori"
                            [(ngModel)]="inputDivKategori">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of problem">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>

                <!-- APPROVED BY -->

                <div class="col-md-6"
                    *ngIf="(inputDivReciver !== 'IT' || inputDivReciver !== 'PSU')"
                    [hidden]="(inputDivReciver === 'IT' || inputDivReciver === 'PSU')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span>
                        </label>
                        <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppDept" id="field_insFrom"
                            name="instFrom"></p-dropdown>
                    </div>
                </div>

                <div class="col-md-12"
                    *ngIf="(inputDivReciver === 'IT' || inputDivReciver === 'PSU')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms">
                            <span *ngIf="countMan === false">Approved By</span>
                            <span *ngIf="countMan === true">Approved By Supervisor / Assistant Manager</span> </label>
                        <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppDept" id="field_insFrom"
                            name="instFrom"></p-dropdown>
                    </div>
                </div>
                <!-- APPROVED BY -->

                <!-- APPROVED BY MANAGER -->
                <div class="col-md-12" *ngIf="countMan === true" [hidden]="countMan === false">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFroms"></label>Approved By Manager</label>
                        <select class="form-control" id="field_app" name="inputAppDept1" [(ngModel)]="inputAppDept1">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of listKdBarang1">
                                {{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <!-- APPROVED BY MANAGER -->

                <div class="col-md-12">
                    <div class="from-group">
                        <div class="form-group">
                            <label class="form-control-label" for="field_jobDesc">Job Order Description</label>
                            <textarea rows="5" cols="92" pInputTextarea [(ngModel)]="inputjobDesc"
                                name="jobDesc"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_content">Attachment </label>
                        <div>
                            <img [src]="'data:' + purchaseOrder.contentContentType + ';base64,' + purchaseOrder.content"
                                style="max-height: 300px;" *ngIf="purchaseOrder.content" alt="purchaseOrder image" />
                            <div *ngIf="purchaseOrder.content" class="form-text text-danger clearfix">
                                <span class="pull-left">{{purchaseOrder.contentContentType}},
                                    {{byteSize(purchaseOrder.content)}}</span>
                                <button type="button"
                                    (click)="clearInputImage('content', 'contentContentType', 'fileImage')"
                                    class="btn btn-secondary btn-xs pull-right">
                                    <span class="fa fa-times"></span>
                                </button>
                            </div>
                            <input type="file" id="file_content"
                                (change)="setFileData($event, purchaseOrder, 'content', true)"
                                accept="image/*,.csv,.xlsx,.pdf" jhiTranslate="entity.action.addimage" />
                            <div [hidden]="!isValidImage" class="text-danger">
                                {{'mpmApp.document.fileLimit' | translate}}
                            </div>
                            <div>
                                <small>max file size: {{maxFileSize | ByteSize}}</small>
                            </div>
                            <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                            <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile"
                                required>
                            <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                        </div>
                        <input type="hidden" class="form-control" name="content" id="field_content"
                            [(ngModel)]="purchaseOrder.content" />
                        <input type="hidden" class="form-control" name="contentContentType"
                            id="field_contentContentType" [(ngModel)]="purchaseOrder.contentContentType" />
                    </div>
                </div>
            </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>